# ``twisted`.`web`.`_template_util`.`_ToStan``

class documentation

`class _ToStan(handler.ContentHandler, handler.EntityResolver): (source)`

View In Hierarchy

A SAX parser which converts an XML document to the Twisted STAN Document Object Model.

Method | `__init__` |
Method | `characters` | Called when we receive some characters. CDATA characters get passed through as is.
Method | `comment` | Add an XML comment which we've encountered.
Method | `endCDATA` | We're no longer in a CDATA element. Collect up the characters we've parsed and put them in a new CDATA object.
Method | `endDocument` | Document ended.
Method | `endDTD` | DTDs are ignored.
Method | `endElementNS` | A namespace tag is closed. Pop the stack, if there's anything left in it, otherwise return to the document's namespace.
Method | `endPrefixMapping` | "Pops the stack" on the prefix mapping.
Method | `processingInstruction` | Processing instructions are ignored.
Method | `setDocumentLocator` | Set the document locator, which knows about line and character numbers.
Method | `startCDATA` | We're starting to be in a CDATA element, make a note of this.
Method | `startDocument` | Initialise the document.
Method | `startDTD` | DTDs are ignored.
Method | `startElementNS` | Gets called when we encounter a new xmlns attribute.
Method | `startPrefixMapping` | Set up the prefix mapping, which maps fully qualified namespace URIs onto namespace prefixes.
Instance Variable | `current` | Undocumented
Instance Variable | `document` | Undocumented
Instance Variable | `inCDATA` | Undocumented
Instance Variable | `locator` | Undocumented
Instance Variable | `prefixMap` | Undocumented
Instance Variable | `sourceFilename` | Undocumented
Instance Variable | `stack` | Undocumented
Instance Variable | `xmlnsAttrs` | Undocumented

def __init__(self, sourceFilename): (source)

Parameters
sourceFilename:`Optional[str]` | the filename the XML was loaded out of.

def characters(self, ch): (source)
Called when we receive some characters. CDATA characters get passed through as is.

Parameters
ch:`str` | Undocumented

def comment(self, content): (source)
Add an XML comment which we've encountered.

Parameters
content:`str` | Undocumented

def endCDATA(self): (source)
We're no longer in a CDATA element. Collect up the characters we've parsed and put them in a new CDATA object.
def endDocument(self): (source)
Document ended.
def endDTD(self, *args): (source)
DTDs are ignored.

Parameters
*args:`object` | Undocumented

def endElementNS(self, name, qname): (source)
A namespace tag is closed. Pop the stack, if there's anything left in it, otherwise return to the document's namespace.

Parameters
name:`Tuple[str, str]` | Undocumented
qname:`Optional[str]` | Undocumented

def endPrefixMapping(self, prefix): (source)

"Pops the stack" on the prefix mapping.

Gets called after endElementNS.

Parameters
prefix:`Optional[str]` | Undocumented

def processingInstruction(self, target, data): (source)
Processing instructions are ignored.

Parameters
target:`str` | Undocumented
data:`str` | Undocumented

def setDocumentLocator(self, locator): (source)
Set the document locator, which knows about line and character numbers.

Parameters
locator:`Locator` | Undocumented

def startCDATA(self): (source)
We're starting to be in a CDATA element, make a note of this.
def startDocument(self): (source)
Initialise the document.
def startDTD(self, name, publicId, systemId): (source)
DTDs are ignored.

Parameters
name:`str` | Undocumented
publicId:`str` | Undocumented
systemId:`str` | Undocumented

def startElementNS(self, namespaceAndName, qname, attrs): (source)
Gets called when we encounter a new xmlns attribute.

Parameters
namespaceAndName:`Tuple[str, str]` | a (namespace, name) tuple, where name determines which type of action to take, if the namespace matches `TEMPLATE_NAMESPACE`.
qname:`Optional[str]` | ignored.
attrs:`Mapping[Tuple[Optional[str], str], str]` | attributes on the element being started.

def startPrefixMapping(self, prefix, uri): (source)

Set up the prefix mapping, which maps fully qualified namespace URIs onto namespace prefixes.

This gets called before startElementNS whenever an `xmlns` attribute is seen.

Parameters
prefix:`Optional[str]` | Undocumented
uri:`str` | Undocumented

current = (source)

Undocumented

document: `List[Any]` = (source)

Undocumented

inCDATA: `bool` = (source)

Undocumented

locator = (source)

Undocumented

prefixMap = (source)

Undocumented

sourceFilename = (source)

Undocumented

stack: `List[Any]` = (source)

Undocumented

xmlnsAttrs: `list` = (source)

Undocumented